(function($){
	"use strict";
    var SarahLite = {
        init: function() {
            this.nav_menu();
            this.owl_carousel();
        },

        // Nagivation Menu
        nav_menu: function() {
            $('body').on('click', '.site-navigation .toggle-menu', function() {
                $(this).toggleClass('on');
                $('.primary-menu').toggleClass('active');
                $('.primary-menu li').removeClass('active');
                $('.primary-menu ul').removeAttr('style');
            });

            if ( $('.primary-menu').length )
            {
                $('.primary-menu li.menu-item-has-children').each( function() {
                    if ( $(this).find('ul').length ) {
                        $(this).find('>a').html( $(this).find('>a').html() + '<span class="toggle"><i class="caret fa-solid fa-angle-down"></i></span>' );
                    }
                });

                $('body').on( 'click', '.primary-menu li .toggle', function(e) {
                    e.preventDefault();
                    SarahLite.nav_menu_ul(this);
                } );
                $('body').on( 'keyup', '.primary-menu li a', function(e) {
                    e.preventDefault();
                    var code = e.keyCode || e.which;
                    if (code == '9') {
                        SarahLite.nav_menu_ul(this);
                    }
                });
            }

            $(document).mouseup( function(e) {
                var $menu = $('.site-navigation .primary-menu');
                var $toggleMenu = $('.site-navigation .toggle-menu');
                if ( ( ! $menu.is( e.target ) && $menu.has( e.target ).length === 0 ) && ( ! $toggleMenu.is( e.target ) && $toggleMenu.has( e.target ).length === 0 ) ) {
                    $('.primary-menu, .primary-menu li').removeClass('active');
                    $('.toggle-menu').removeClass('on');
                    $('.primary-menu ul').removeAttr('style');
                }
            });

            $('.primary-menu').children().last().focusout( function() {
                $('.primary-menu, .primary-menu li').removeClass('active');
                $('.toggle-menu').removeClass('on');
                $('.primary-menu ul').removeAttr('style');
            } );
        },

        nav_menu_ul: function( elem ) {
            var $parent = $(elem).closest('li');
            $parent.siblings().removeClass('active');
            $parent.find('li').removeClass('active');
            $parent.siblings().find('ul').slideUp();
            $parent.find('ul').slideUp(360);
            
            if ( $parent.find('>ul').is(':hidden') ) {
                $parent.find('>ul').slideDown();
                $parent.addClass('active');
            } else {
                $parent.find('>ul').slideUp(360, function(){
                    $parent.removeClass('active').find('>ul').removeAttr('style');
                });
            }
        },

        // OWL Carousel
        owl_carousel: function() {
            $('.owl-carousel').each(function() {
                var config = $(this).data();
                config.navText = ['<i class="fa-solid fa-angle-left"></i>','<i class="fa-solid fa-angle-right"></i>'];
                var animateOut = $(this).data('animateout');
                var animateIn = $(this).data('animatein');
                if(typeof animateOut != 'undefined' ){
                  config.animateOut = animateOut;
                }
                if(typeof animateIn != 'undefined' ){
                  config.animateIn = animateIn;
                }            
                config.smartSpeed = 1000;
                var owl = $(this);
                owl.owlCarousel(config);
    
            });
        },
    };
    
    SarahLite.init();
})(jQuery);
