<?php
if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}

if ( get_theme_mod('sarahlite_featured_slider') ) {
    $cat_id = get_theme_mod( 'sarahlite_featured_cat' );
    $ids    = get_theme_mod( 'sarahlite_featured_id' );
    $number = get_theme_mod( 'sarahlite_featured_slider_slides', 3 );
    if( $ids ) {
    	$ids = explode(',', $ids);
    	$args = array( 'showposts' => $number, 'post_type' => array('post', 'page'), 'post__in' => $ids, 'orderby' => 'post__in' );
    } else {
    	$args = array( 'cat' => $cat_id, 'showposts' => $number );
    }
    
    $featured_posts = new WP_Query( $args );
    $data_config = $featured_posts->post_count > 1 ? 1 : 0;
    $sizes = '(min-width: 1400px) 1296px, (min-width: 1200px) 1116px, (min-width: 992px) 936px, (min-width: 768px) 696px, (min-width: 576px) 516px, calc( 100vw - 24px )';
    $att = [ 'sizes' => $sizes ];

    if ( $featured_posts->have_posts() ) { ?>
        <div class="featured-posts">
    	   <div class="owl-carousel" data-dots="<?php echo esc_attr( $data_config ); ?>" data-autoplay="<?php echo esc_attr( $data_config ); ?>" data-loop="<?php echo esc_attr( $data_config ); ?>" data-items="1">
                <?php while ( $featured_posts->have_posts() ) {
                    $featured_posts->the_post();
                    //$featured_image = wp_get_attachment_url( get_post_thumbnail_id() );
                ?>
                <div <?php post_class( 'post' ); ?>>
                    <div class="post-format post-thumbnails">
                        <?php the_post_thumbnail( 'full', $att ); ?>
                    </div>
                    <div class="post-deatails">
            			<div class="post-text-inner">
                            <p class="post-cats">
                                <?php the_category(', '); ?>
                            </p>
                			<h2 class="post-title">
                                <a href="<?php the_permalink(); ?>">
                                    <?php the_title(); ?>
                                </a>
                            </h2>
                        </div>
            		</div>
                </div>		
           	    <?php } ?>
            </div>
        </div><?php
        wp_reset_postdata();
    }
}
